#!/usr/bin/octave
% SilentTimer Action Figure calculate the ratio of actual to ideal time rate.
% 
% 03.01.2021
% Copyright (C) 2021 Balthasar Szczepanski
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.

outopen=0;
inopen=0;
x=[];

argv = argv();
if(rows(argv)>0)
	if(rows(argv)>1)
		outfile = fopen(argv{2},"w");
		outopen = outfile;
	else
		outfile = stdout();
	endif
	infile = fopen(argv{1},"r");
	inopen = infile;
else
	outfile = stdout();
	infile = stdin();
endif

if ((infile < 0 ) || (outfile < 0 ))
	fdisp(stderr(),"can't open file.");
else
	while (1)
		s = fgetl(infile);
		if (s == -1)
			break
		endif
		x = [x;str2num(s)];
	endwhile

	y = x(:,2);
	x = [ones(rows(y),1) x(:,1)];
	b = ols(y,x);

	format long;
	fdisp(outfile,b(2));
endif
	
if (inopen > 0)
	fclose(infile);
endif
if (outopen > 0)
	fclose(outfile);
endif
